2006-05-12 Andrew Stitt <astitt@sourcemage.org>
	* libunpack: change parameters passed to tar, bug 11413

2006-05-12 Andrew Stitt <astitt@sourcemage.org>
	* sorcery: remove extra comma, bug 11767

2006-05-11 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: fix typo

2006-05-09 Andrew Stitt <astitt@sourcemage.org>
	* cast: add -g parameter to allow custom grimoire selection and ordering
	* cast: remove --fix and --nofix (been deprecated for several releases)

2006-05-09 Andrew Stitt <astitt@sourcemage.org>
	* libapi: add runtime and suggest_depends, bugs 10110 and 10790.
	  Remove altruistic_sub_depends stub.
	* dispel: add improved messages to handle new dependency states
	* libdepends: Add new frontend routines for runtime/suggest
	  dependencies. Factor most common message calls into a
	  subroutine. Add controls for compute_install_depends functions
	  to work on either true dependencies as well as the full set.
	  Generalized the way UP_DEPENDS works because runtime/suggest depends
	  need it as well.
	* libstate: Add new dependency states to sanity check
	* cast: update to use generalized bonus spell mechanism
	* gaze: add function stubs for runtime/suggest dependencies

2006-05-03 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix bug 10465, gaze allows grimoire selection
	* libresurrect: fix bug 10528, install_config_files marks files
	  as new or old, patch from Jaka Kranjc.

2006-05-01 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: fix search for default provider

2006-04-23 Andrew Stitt <astitt@sourcemage.org>
	* libsorcery: fix bug 8070, add pager timeout for changelog viewing
	* config: add a pager timeout, and use less -F instead of -E,
	  see if people like -F better than -E.

2006-04-23 Andrew Stitt <astitt@sourcemage.org>
	* libsummon: fix bug 9415, do some sanity checking in summon

2006-04-23 Andrew Stitt <astitt@sourcemage.org>
	* dl_handlers/dl_svn: Do no interactive prompting

2006-04-21 Andrew Stitt <astitt@sourcemage.org>
	* libsummon: fix bug 11372, bad spells can make us unlock the wrong
	  resource, causing subsequent summons to hang. Also fix return code
	  propagation.

2006-04-14 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: add forkless basename and dirname functions using
	  bash variable expansions.
	* libhash: add lookup routine that returns by reference
	* libcodex: add routines to setup in-memory cache lookup hash, and
	  factor out code to setup spell paths from spell loading functions
	* libtablet: fix bug 9386, optimize tablet_import_repair_files,
	  also tie up loose ends with cleanse related functions
	* cleanse: update parameters to tablet_cleanse_chapter
	
2006-04-13 Andrew Stitt <astitt@sourcemage.org>
	* libsorcery: consolidate history functions, bug 10282
	  modified patch from Jaka Kranjc. Also added a long overdue full
	  explaination changelog parsing awk script.

2006-04-12 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix bug 10144, fix viewing of install queue, patch from
	  Jaka Kranjc
	* libdispel: print message if dispel fails, bug 10682

2006-04-08 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: add default_* functions for dependency resolution
	  phase, bug 10900.
	* libdispel: add default_* function for dispel phase
	* libdispel: add persistent_load/persistent_save calls around
	  *_REMOVE functions, bug 10855.
	* libapi: add entry points for default_* for depends resolution
	  and dispel

2006-04-07 Andrew Stitt <astitt@sourcemage.org>
	* libtablet: allow special keyword 'all' to unconditionally
	  update a file in the tablet, bug 10869

2006-04-05 Andrew Stitt <astitt@sourcemage.org>
	* gaze: backquoted $level in gaze usage message
	* gaze: added support for viewing {,PRE_}SUB_DEPENDS file
	  (from Jaka Kranjc)

2006-04-04 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: fix select_list default value selection, bug 10538
	* cleanse, libcast, libgpg: update to slightly modified select_list api

2006-04-04 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: fix bug 10357, add extra check for a file incase theres
	  a directory named make.

2006-04-03 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: fix bug 10588, fix provider selection on timeout
	* url_handlers/url_svn_https: add https handler for svn, bug 10370

2006-04-02 Andrew Stitt <astitt@sourcemage.org>
	* build: fill in the version value on devel sorcery

2006-04-02 Andrew Stitt <astitt@sourcemage.org>
	* dl_handlers/dl_svn: fix bug 10183, allow for username/password to be
	  passed on the command line

2006-04-02 Andrew Stitt <astitt@sourcemage.org>
	* build: exclude .bzr metadata

2006-03-25 Andrew Stitt <astitt@sourcemage.org>
	* libunpack: check for spell or actual command before assuming
	  verification cannot be done.

2006-03-25 Andrew Stitt <astitt@sourcemage.org>
	* libunpack: move verification code out of unpack_file and into
	  new verify_file function. Removed un-used inner loop.
	* libapi: add entry point for verify_file. Fixes bug 10684.

2006-03-25 Andrew Stitt <astitt@sourcemage.org>
	* libsorcery: remove LC_ALL hack
	* cast: put slightly safer LC_ALL hack in cast around the build
	  phase. This fixes bug 10546, see also bug 2910.
	* config: add -f to less arguments, less is never invoked on binary data

2006-03-24 Andrew Stitt <astitt@sourcemage.org>
	* libdispel: explicitly return 0 after removing state files

2006-03-21 Andrew Stitt <astitt@sourcemage.org>
	* libtablet: Fix repair failure message to hint at cleanse --tablet
	  add a special variable for tablet location in tablet_set_spell
	* libdispel: fix long outstanding bug 8826, blow away the tablet
	  directory, un-attributed repair files can cause the normal dispel
	  safe removal process from succeeding.

2006-03-20 Andrew Stitt <astitt@sourcemage.org>
	* sorcery: fix bug 10693, correct dialog message, patch from
	  Jeremy Blosser.

2006-03-20 Andrew Stitt <astitt@sourcemage.org>
	* build_api/common, cast: move pop_install_queue out of cast
	  and into run_spell_success, bug 10719

2006-03-20 Andrew Stitt <astitt@sourcemage.org>
	* libgrimoire: Add a sanity check to installed_version, bug 10705
	  split actual installed_version into a subroutine for optimization
	  purposes.
	* cast, cleanse, libdispel, libresurrect: use private_installed_version
	  where its known the spell is installed and the additional sanity
	  check is not needed.
	* build_api/common: Add some extra quotes
	
2006-03-14 Andrew Stitt <astitt@sourcemage.org>
	* cast, libsecurity, libmisc: use DEFAULT_COLOR not DEFAULT
	  (which is initially also a color but a poor variable name)
	* libmedia: eliminate DEFAULT as a color, just call it
	  DEFAULT_COLOR

2006-03-12 Andrew Stitt <astitt@sourcemage.org>
	* config/url: add fallback mirror from David Kowis

2006-03-12 Andrew Stitt <astitt@sourcemage.org>
	* scribe: add command for keyword index creation
	* man8/scribe.8: add info about reindex-keyword
	* libcodex: add function to recreate keyword index, remove dead
	  code for keyword lookups
	* config: add variable for name of keyword index file

2006-03-12 Andrew Stitt <astitt@sourcemage.org>
	* libapi: add examples on how to use force_depends

2006-03-07 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: add a message for force_depends

2006-03-06 Andrew Stitt <astitt@sourcemage.org>
	* gaze: renice gaze, bug 10629
	* libdepends, libapi: add force_depends, bug 10565
	* dispel: fix issues with failure codes in dispel+depends
	* man8/dispel.8, dispel: fix description of exile parameter

2006-03-01 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: fix bug 10622, list searching was broken in the case
	  of g++

2006-02-28 Andrew Stitt <astitt@sourcemage.org>
	* libdownload: dont try to connect to the internet by default
	* etc/sorcery/url: add a config switch to turn internet connection
	  back on

2006-02-25 Andrew Stitt <astitt@sourcemage.org>
	* libdepengine: ensure triggers force recompile, bug 10406

2006-02-24 David Brown <dmlb2000@gmail.com>
	* libsummon: fixed repackaging message to show color
	* libunpack: fixed output of new hash allowed to have a space so it
	  looks nicer

2006-02-23 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: fix find version parsing to catch '4.1' as well as 4.1.x.
	  Fix provided by "sobukus" on irc.

2006-02-19 Andrew Stitt <astitt@sourcemage.org>
	* libgpg: improve verbosity with gpg verification failures, bug 10247
	* cleanse: fix bug 10287, cleanse now cleans up stale triggers
	  also factored common code into functions
	* libdepends: added safety test for stale triggers

2006-02-05 Andrew Stitt <astitt@sourcemage.org>
	* gaze: make license commands case insensitive, bug 10437,
	  patch from Jaka Kranjc.

2006-02-05 Andrew Stitt <astitt@sourcemage.org>
	* libcast: add function for loading libcompat, bug 10423
	* libcodex: load libcompat in all normal spell environments

2006-02-05 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: simplify sub-depends pre-processing, require that
	  spells always specify a PRE_SUB_DEPENDS file rather than jumping
	  through hoops to avoid needing one.
	* libdispel: simplify when sub-depends are cleaned up
	* cleanse: incorporate sub-depends simplifications

2006-01-26 David Brown <dmlb2000@gmail.com>
	* dl_git: added git download handler
	* url_git: added git url handler
	* libsummon: added git to the list of trees (needs to be fixed)

2006-01-26 Andrew Stitt <astitt@sourcemage.org>
	* dispel.8: update info for how to unexile something.

2006-01-22 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: fix query_string (and subsequently config_query_string)
	  to not timeout if the user starts typing, bug 7858.

2006-01-21 Andrew Stitt <astitt@sourcemage.org>
	* gaze: Fix bug 10358, set the pager to 'cat' when -q is
	  specified. Patch from Jaka Kranjc.

2006-01-20 Andrew Stitt <astitt@sourcemage.org>
	* dispel: fix bug 10236, add some parameter checking to downgrade
	  and exile features, patch from Jaka Kranjc.
	* gaze: check parameters for gaze what/short, partial patch from
	  Jaka Kranjc.

2006-01-18 Andrew Stitt <astitt@sourcemage.org>
	* cleanse: fix bug 10411, cleanse --delint error with sub-depends

2006-01-18 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix bug 10415, add a trap for pipes so bash complains less
	  about them when they break

2006-01-18 Andrew Stitt <astitt@sourcemage.org>
	* libcodex: fix bug 10350

2006-01-11 Andrew Stitt <astitt@sourcemage.org>
	* libcast: fix check for whether or not per spell cflags is enabled

2006-01-11 Andrew Stitt <astitt@sourcemage.org>
	* gaze: remove gaze service (bug 10259).
	* man1/gaze.1: remove gaze service (bug 10259).

2006-01-11 Andrew Stitt <astitt@sourcemage.org>
	* build_api/api1, build_api/api2: fix bug 8463, build system selection.
	  All phases in the build pipeline can be declared by specifying
	  <FILENAME>_CMD in DETAILS.

2006-01-11 Andrew Stitt <astitt@sourcemage.org>
	* etc/sorcery/config: Add default value for per-spell-cflags (bug 7730).
	* sorcery: Add per-spell-cflags to feature menu.
	* libcast: Add function to present user with menu for cflags.
	* libdepends: Call menu for cflags.
	* libsorcery: Add user specified flags to $*FLAGS variables.

2006-01-09 Andrew Stitt <astitt@sourcemage.org>
	* libapi: Add api for altruistic sub-depends
	* libdepends: Add code to make altruistic sub-depends work
	* cleanse, libdispel: Add special case for empty requester due
	  to altruistic sub-depends

2006-01-09 Andrew Stitt <astitt@sourcemage.org>
	* dl_handlers/dl_file: use generic url_crack not url_file_crack

2006-01-03 Andrew Stitt <astitt@sourcemage.org>
	* gaze.1: fix bug 10161, add paragraph indicating gaze search
	  can do regular expressions, patch from Jaka Kranjc.
	* gaze: update help info for gaze section, bug 10141.

2006-01-03 Andrew Stitt <astitt@sourcemage.org>
	* libsorcery: Remove dead code for saving glibc and 'glibc-custom'
	  libraries, bug 10261.

2006-01-03 Andrew Stitt <astitt@sourcemage.org>
	* libtrack: improve safe directory infrastructure, reseed $RANDOM
	  with the current nanoseconds to help avoid collisions. $RANDOM
	  and pipes are not interacting very randomly in bash 3.1.

2006-01-03 Andrew Stitt <astitt@sourcemage.org>
	* libtablet: add some shortcuts to skip intensive tablet searching
	  when a parent function already knows the information
	* libsorcery: properly handle missing tablets
	* build_api/common: setup shortcut variables for libtablet, this
	  is needed because during install log creation, tablet accessors
	  are run and will perform sanity checks on the tablet, which fail,
	  because the install log doesnt exist yet.

2006-01-03 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix bugs 10258, make gaze history and gaze HISTORY 
	  consistent, 10299, check for spell existence in gaze depends,
	  10284, add human readable output to gaze size, patches from
	  Jaka Kranjc.
	* gaze.1: fix bug 10305, fix description of gaze compile in the manual, 
	  patch from Jaka Kranjc.

2006-01-03 Andrew Stitt <astitt@sourcemage.org>
	* cast: fix --deps, need to recompute closure

2006-01-02 Andrew Stitt <astitt@sourcemage.org>
	* etc/sorcery/config: specifically disable aliases before doing
	  anything, aliases seem to be cropping up in strange places.

2005-12-17 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: add support for PRE_SUB_DEPENDS file, bug 10199
	* libstate: make add_depends better at making subsequent
	  dependency requests override previous ones, bug 10185

2005-12-17 Andrew Stitt <astitt@sourcemage.org>
	* dispel: fix bug 10189, dispel with dependency options didn't
	  work right when multiple spells were specified
	* gaze: fix bug 10162, make gaze grimoire -q more friendly,
	  patch from Jaka Kranjc.
	* gaze, man/man1/gaze.1: fix bug 10190, make gaze where optionally
	  show the full path, patch from Jaka Kranjc.
	* summon: note in usage message that if the -g parameter is
	  specified, spells or --all still needs to be specified, bug 10228.

2005-12-11 Andrew Stitt <astitt@sourcemage.org>
	* build_api/common: Remove uncomitted sub-depends files after cast

2005-12-11 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix search so it can use terms that contain spaces, bug 10139.
	* gaze: fix pager support bug 10188, patch from Jaka Kranjc.
	* gaze: add gaze UP_TRIGGER support.

2005-12-10 Andrew Stitt <astitt@sourcemage.org>
	* etc/sorcery/url: Remove unc sourceforge mirror, fix spacing and
	  FURLNUM variable.

2005-12-08 Andrew Stitt <astitt@sourcemage.org>
	* libdepengine: updates to make code more readable, fix spelling and
	  a bug uncovered by a review of the unit tests

2005-12-08 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: fix typo that caused sub-depends to be ignored in
	  some cases

2005-12-06 Karsten Behrmann <BearPerson@sourcemage.org>
	* libmisc: fix upvar to work nicely when passed content containing
	  special variables

2005-12-05 Andrew Stitt <astitt@sourcemage.org>
	* Fixes bug 6811 for sub-depends support.
	* etc/sorcery/state: Add line for sub-depends table.
	* cast: load variable with provided sub-depends.
	* cleanse: add code to clean up sub-depends table.
	* build_api/common: Commit provided sub-depends to table.
	* libapi: Add entries for sub_depends and is_depends_enabled functions
	* libdepends: add code to process sub-depends
	* libdispel: remove sub-depends when both spells are removed
	* libstate: Add functions to interface with the sub-depends
	  table, also adjusted accessors for regular depends where they
	  were insufficient
	* libtablet: Add routines to populate and access sub-depends info.

2005-11-30 Andrew Stitt <astitt@sourcemage.org>
	* libdepengine: fix bug 10159, dpgn_cast_spell_front can return
	  values other than 0 or 1 which confuses recurse_depends into
	  succeeding when it shouldn't. Also fix a bug in code that handles
	  dependency-less triggers.

2005-11-30 Andrew Stitt <astitt@sourcemage.org>
	* libdepengine: fix bug that caused triggers to run multiple times
	  unnecessarily, tree9 unit tests uncovered this bug

2005-11-29 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix bug 10149, gaze newer last_sorcery_update doesnt work,
	  patch from "sqweek" on irc.
	* gaze: fix bug 10155, gaze -q installed used the pager,
	  fix indentation, and remove useless extra newlines from gaze
	  grimoires, patch from Jaka Kranjc
	* cleanse: fix bug 10096, --logs was gobbling up a paramter needlessly
	  also add --tablet to the "full treatment"

2005-11-28 Andrew Stitt <astitt@sourcemage.org>
	* gaze: fix bug 10140, gaze -q search was broken

2005-11-26 David Brown <dmlb2000@gmail.com>
	* libunpack: added --no-same-permissions to tar to fix permissions
	  problems when untaring files with og+w

2005-11-26 Andrew Stitt <astitt@sourcemage.org>
	* liburl: fix bug 10121, url ranking was broken, specifically timeouts
	  could get larger than bash's max array size, causing an error
	  also fixed up a few other things that I noticed could use improving.

2005-11-26 Andrew Stitt <astitt@sourcemage.org>
	* libmedia: fix menu nit, bug 10104
	* libdispel: remove atypical files on dispel, bug 10030
	* etc/sorceryconfig: add VERIFIED_UPSTREAM_HASH verification level,
	  bug 10122
	* man8/sorcery.8: fix sorcery system-update description, bug 10136

2005-11-25 Andrew Stitt <astitt@sourcemage.org>
	* etc/sorcery/url: remove mirror.isurf.ca, adam has disappeared
	  with no indication he is going to re-populate it.

2005-11-23 Andrew Stitt <astitt@sourcemage.org>
	* liburl: fix url_crack to pass "$@" not just $1

2005-11-22 Andrew Stitt <astitt@sourcemage.org>
	* dl_handlers/dl_svn: echo the command being used, do not assume http
	  is the protocol, instead let the url handler fill it in while
	  cracking the url.
	* url_handlers/url_svn: use true svn:// urls by default rather than
	  assuming http://. If the hint "old_svn_compat" is specified
	  use old behavior of inserting http://. All svn based spells
	  in test grimoire already do this.
	* url_handlers/url_svn_http, url_handlers/url_svn_ssh:
	  add handlers for svn+http and svn+ssh, these are trivially
	  similar to url_svn, common code used where possible.
	* libsummon: include svn_ssh and svn_http as tree downloads

2005-11-22 Andrew Stitt <astitt@sourcemage.org>
	* mirrors/SOURCEFORGE: remove belnet and unc mirrors since they
	  apparently are not working well, bug 10060
	* libmisc: add a awk based 'uniq' function that eliminates the need
	  for sorting the input
	* liburl: when expanding urls, cull duplicates with awkuniq rather than
	  sort|uniq

2005-11-17 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: add code that wasnt overlooked for bug 7488,
	  moves previous persistent file to an abandoned directory which is
	  later used by config_query_* functions

2005-11-16 Andrew Stitt <astitt@sourcemage.org>
	* libgpg: fix coding error that causes gpg failures to be ignored

2005-11-10 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: fix issue with picking the best default answer
	  in dependency queries, bug 10073
	* scribbler: fix bug 10056, missing backquote on a message,
	  patch from Eric Sandall.
	* libsummon: fix bug 10041, print out the file that was actually
	  found during acquire_src, not the file that was requested.
	* libmisc, libdepends: factor out common code from select_list and
	  select_provider, use a hash instead of an array in select_list to
	  fix bug 9836.

2005-11-04 Andrew Stitt <astitt@sourcemage.org>
	* libsummon: dont use leapforward url for tree downloads, bug 10062

2005-11-02 Andrew Stitt <astitt@sourcemage.org>
	* libunpack: fix variable reference

2005-11-01 Andrew Stitt <astitt@sourcemage.org>
	* sorcery: Fix missing $'s in verification menus, change them to
	  Ok/Cancel style rather than Select/Exit style.

2005-10-27 Andrew Stitt <astitt@sourcemage.org>
	* etc/sorcery/config, sorcery, libunpack: switch verification
	  level and hash variable names to use VRF prefix rather than GPG,
	  they arent specific to gpg.
	* sorcery: update menu titles to be more accurate

2005-10-25 Andrew Stitt <astitt@sourcemage.org>
	* libstate: fix dirname basename mixup

2005-10-25 David Brown <dmlb2000@gmail.com>
	* sorcery: modified source level menu to be similar to the hashes menu
	* config: also modified the source level checking vars to be similar to 
	  the hashes vars
	* libunpack: changed the source level checking to use the new vars
	* libgpg: removed functions gpg_level_to_string and gpg_string_to_level
	  not needed

2005-10-24 Andrew Stitt <astitt@sourcemage.org>
	* cast: Add parameters for lazy updates and recast optional
	  features (bugs 9171 and 9040)
	* libdispel, dispel: Implement "--total-dispel" feature (bug 8465)
	* libdepends: Add functions for lazy updates and recast optional
	  features
	* libmisc: Add upvar function since this is happening a lot
	* libsorcery: Factor our code for when spells need updates, bug 9171. 
	* libstate: Add function for searching spell status. Check for
	  config file before trying to write to it, bug 8848

2005-10-24 Andrew Stitt <astitt@sourcemage.org>
	* libmisc: add find backwards compatibility

2005-10-24 David Brown <dmlb2000@gmail.com>
	* config: changed default gpg user level to string WORKS_FOR_ME
	* sorcery: changed saving to the config file as a string instead of int
	* libgpg: added some helper functions to change the gpg level to int
	  and back from int to gpg level
	* libmisc: added isdigit and isalpha functions
	* libunpack: fixed to change gpg level to int and compare that also
	  added some extra output of what level user specified and what level
	  the spell is at

2005-10-17 Andrew Stitt <astitt@sourcemage.org>
	* libsorcery: Save sorcery tarball to $SOURCE_CACHE after it is
	  downloaded and verified. Also keep the tarball for the current
	  branch on cleanse --sweep.

2005-10-14 Andrew Stitt <astitt@sourcemage.org>
	* dl_wget: remove spurious declaration of WGET_OPTIONS that
	  munged all the options previous set

2005-10-14 Andrew Stitt <astitt@sourcemage.org>
	* libsorcery, sorcery: remove static flag altogether, people can now
	  use the custom optimization flags menu for such things.
	  Suggesting static through the pre-baked options is an
	  accident waiting to happen.

2005-10-14 Andrew Stitt <astitt@sourcemage.org>
	* sorcery: change help for static option so that it includes warning.

2005-10-02 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: fix case where upward depends is done on a provider

2005-10-01 Andrew Stitt <astitt@sourcemage.org>
	* libdepends: Only add the current list of spells in upward
	  depends processing, not the entire accumulation list.
	* cast: Correct syntax for getting all the spells that need casting

2005-10-01 Andrew Stitt <astitt@sourcemage.org>
	* sorcery: Fix gpg level selection menu syncronization
	* libdispel: Fix dependency following menu syncronization

2005-09-29 Andrew Stitt <astitt@sourcemage.org>
	* sorcery: remove debugging message/warning from gpg menu

2005-09-27 Andrew Stitt <astitt@sourcemage.org>
	* dispel: fix parameter parsing for user-child-deps and
	  user-parent-deps, bug 9851
	* libsummon: Dont use fallbacks for scm checkouts (bug 9847), also
	  fallback to old checkout tarball if scm update fails (bug 9846)

2005-09-24 Andrew Stitt <astitt@sourcemage.org>
	* Start 1.14 development stream.
